import { jsx } from "react/jsx-runtime";
import { CompassToolIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CompassTool = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "CompassTool", ...props, children: /* @__PURE__ */ jsx(CompassToolIcon, { weight: variant }) });
  }
);
CompassTool.displayName = "CompassTool";
Object.assign(CompassTool, { isGdsIcon: true });
export {
  CompassTool
};
